TICKIT_WINDOW_CHILDREN(3)

NAME
tickit_window_children, tickit_window_get_children - obtain child windows from a window

SYNOPSIS
    #include <tickit.h>

    size_t tickit_window_children(const TickitWindow *win);
    size_t tickit_window_get_children(const TickitWindow *win,
        TickitWindow *children[], size_t n);

Link with -ltickit.

DESCRIPTION
tickit_window_children() returns the number of immediate child windows the given window has.

tickit_window_get_children() copies at most n child window pointers into the array given by children, and returns the number of pointers it copied (which may be fewer than the total stored, if the array was of insufficient size).

RETURN VALUE
tickit_window_children() and tickit_window_get_children() return integers giving the number of entries operated on.

SEE ALSO
tickit_window_new(3), tickit_window_parent(3), tickit_window(7), tickit(7)